## org.jfree.report.util
Class LazyNameMap

    java.lang.Object
      org.jfree.report.util.LazyNameMap

All Implemented Interfaces:
  java.lang.Cloneable

    public class LazyNameMap

extends java.lang.Object
implements java.lang.Cloneable

Creation-Date: 06.03.2006, 20:20:17

Author:
  Thomas Morgner

Nested Class Summary
`static class` `LazyNameMap.NameCarrier`

Constructor Summary
`LazyNameMap()`

Method Summary
`java.lang.Object` `clone()`
`LazyNameMap.NameCarrier` `get(java.lang.String key)`
`boolean` `isClean()`
`LazyNameMap.NameCarrier` `remove(java.lang.String key)`
`void` `setValue(java.lang.String key, int value)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LazyNameMap

    public LazyNameMap()

Method Detail

### isClean

    public boolean isClean()

### setValue

    public void setValue(java.lang.String key,
                         int value)

### get

    public LazyNameMap.NameCarrier get(java.lang.String key)

### remove

    public LazyNameMap.NameCarrier remove(java.lang.String key)

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`